%define upstream_name    Locale-PO
%define upstream_version 0.23

Name:       perl-%upstream_name
Version:    %{upstream_version}
Release:    %mkrel 2
Summary:    Locale::PO - Perl module for manipulating .po entries from GNU gettext
License:    Artistic, GPL
Group:      System/Libraries
Url:        http://www.cpan.org
Source0:    http://search.cpan.org/CPAN/authors/id/K/KE/KEN/%upstream_name-%{version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%description
This module simplifies management of GNU gettext .po files and is an alternative to using emacs po-mode. It
provides an object-oriented interface in which each entry in a .po file is a Locale::PO object.

%prep
%setup -q -n %upstream_name-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_std

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*.3pm.xz
%doc Changes META.json META.yml MYMETA.yml README

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.23-2.mga4
+ Revision: 537303
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.23-1.mga4
+ Revision: 439469
- update to 0.23

* Sun Jan 13 2013 umeabot <umeabot> 0.22-2.mga3
+ Revision: 369170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.22-1.mga3
+ Revision: 288472
- update to 0.22

* Sun Sep 04 2011 dmorgan <dmorgan> 0.21-2.mga2
+ Revision: 138345
- Try to convert to perl spec file policy
- Clean spec file

  + gil <gil>
    - imported package perl-Locale-PO

